package org.mentalog;

public interface LogMessageBuilder {

	public LogMessageBuilder add(AsciiEncodable cs);
	
	public LogMessageBuilder add(StringBuilder sb);

	public LogMessageBuilder add(char[] x);

	public LogMessageBuilder add(byte[] x);

	public LogMessageBuilder add(long x);

	public LogMessageBuilder add(int x);

	public LogMessageBuilder add(double x);

	public LogMessageBuilder add(float x);

	public LogMessageBuilder add(byte x);

	public LogMessageBuilder add(short x);

	public LogMessageBuilder add(char x);

	public LogMessageBuilder add(boolean x);

	public LogMessageBuilder add(Object o);

	public void flush();
}
